#ifndef _IPT_SIGN_H
#define _IPT_SIGN_H

struct spshdr
{
#if __BYTE_ORDER == __LITTLE_ENDIAN
  unsigned int shl:4;
  unsigned int version:4;
#elif __BYTE_ORDER == __BIG_ENDIAN
  unsigned int version:4;
  unsigned int shl:4;
#else
# error "Please fix <bits/endian.h>"
#endif
  u_int8_t orig_proto;
  u_int8_t algorithm;
  u_int8_t sig_bytes;
  u_int16_t pkey_hash;
  /* signature here */
};

#define IPT_SIGN_MAX_SECRET_LENGTH 80


struct ipt_sign_info {
	char key[256];
	char secret[IPT_SIGN_MAX_SECRET_LENGTH+1];
};

#endif /*_IPT_SIGN_H*/
